U2F(4)

NAME
u2f - FIDO/U2F USB security keys

SYNOPSIS
device u2f

In loader.conf(5):
u2f_load="YES"

In sysctl.conf(5):
hw.hid.u2f.debug

DESCRIPTION
The u2f driver provides support for FIDO/U2F-compatible USB security keys. They are Human Interface Devices (HID) which can be accessed via the /dev/u2f/N interface.

The driver is compatible with the read(2), write(2), and ioctl(2) operations of the generic uhid(4) device but only accepts the optional HID ioctl(2) calls from u2f group users.

HARDWARE
The u2f driver supports FIDO/U2F-compatible USB security keys.

SYSCTL VARIABLES
The following variables are available as both sysctl(8) variables and loader(8) tunables:

hw.hid.u2f.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

FILES
/dev/u2f/*

SEE ALSO
uhid(4), usbhid(4), usb(4)

HISTORY
The u2f driver first appeared in FreeBSD 15.0.

AUTHORS
-nosplit The u2f driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.

This manual page was written by Vladimir Kondratyev <wulf@FreeBSD.org> based on the OpenBSD fido(4) manual page.